# create-plugin

## Purpose

The `create-plugin` command will create a Grails plug-in project.

## Examples

    grails create-plugin simple

## Description

Creates a Grails plug-in project. A Grails plug-in project is just like a regular Grails project except it contains a plug-in descriptor and can be packaged up as a plug-in and installed into other applications.

Plug-ins are not just useful for plug-in developers, but also as a way to modularize large Grails applications. Refer to the section on Plug-in Development in the user guide for more information on developing plug-ins for Grails.

Usage:

    grails create-plugin [name]

Fired Events:

- `StatusFinal` - When the plug-in has been created